USE JPK;
GO

IF OBJECT_ID(N'dbo.Kontrahent', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.Kontrahent';
GO

CREATE TABLE dbo.Kontrahent (
	Id			INT				NOT NULL,
	Nazwa		VARCHAR(150)	NOT NULL,
	NIP			CHAR(10)		NOT NULL,
	REGON		CHAR(9)			NOT NULL
);
GO

INSERT INTO dbo.Kontrahent
	(Id, Nazwa, NIP, REGON)
VALUES
	(0, 'MojaFirma', '0123456789', '012345678'),
	(1, 'Firma1', '1234567890', '123456789'),
	(2, 'Firma2', '2345678901', '234567890'),
	(3, 'Firma3', '3456789012', '345678901'),
	(4, 'Firma4', '4567890123', '456789012')
;
GO

IF OBJECT_ID(N'dbo.KontrahentAdres', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.KontrahentAdres';
GO

CREATE TABLE dbo.KontrahentAdres (
	Id				INT				IDENTITY(1, 1)	NOT NULL,
	KontrahentId	INT								NOT NULL,
	KodKraju		CHAR(2)							NOT NULL,
	Wojewodztwo		VARCHAR(20)						NOT NULL,
	Powiat			VARCHAR(50)						NOT NULL,
	Gmina			VARCHAR(30)						NOT NULL,
	Ulica			VARCHAR(100)					NOT NULL,
	NrDomu			VARCHAR(10)						NOT NULL,
	NrLokalu		VARCHAR(5)						NULL,
	Miejscowosc		VARCHAR(30)						NOT NULL,
	KodPocztowy		CHAR(6)							NOT NULL,
	Poczta			VARCHAR(30)						NOT NULL
);
GO

INSERT INTO dbo.KontrahentAdres
	(KontrahentId, KodKraju, Wojewodztwo, Powiat, Gmina, Ulica, NrDomu, NrLokalu, Miejscowosc, KodPocztowy, Poczta)
VALUES
	(0, 'PL', 'wojewodztwo0', 'powiat0', 'gmina0', 'ulica0', 'nrdomu0', 'nr0', 'miejscowosc0', '00-000', 'poczta0'),
	(1, 'PL', 'wojewodztwo1', 'powiat1', 'gmina1', 'ulica1', 'nrdomu1', 'nr1', 'miejscowosc1', '00-001', 'poczta1'),
	(2, 'PL', 'wojewodztwo2', 'powiat2', 'gmina2', 'ulica2', 'nrdomu2', 'nr2', 'miejscowosc2', '00-002', 'poczta2'),
	(3, 'PL', 'wojewodztwo3', 'powiat3', 'gmina3', 'ulica3', 'nrdomu3', 'nr3', 'miejscowosc3', '00-003', 'poczta3'),
	(4, 'PL', 'wojewodztwo4', 'powiat4', 'gmina4', 'ulica4', 'nrdomu4', 'nr4', 'miejscowosc4', '00-004', 'poczta4')
;
GO

IF OBJECT_ID(N'dbo.Rachunek', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.Rachunek';
GO

CREATE TABLE dbo.Rachunek (
	Id					INT			NOT NULL,
	KontrahentId		INT			NOT NULL,
	NumerIBANRachunku	CHAR(28)	NOT NULL
);
GO

INSERT INTO dbo.Rachunek
	(Id, KontrahentId, NumerIBANRachunku)
VALUES
	(1, 1, 'PL12345678901234567890123456'),
	(2, 2, 'PL23456789012345678901234567'),
	(3, 3, 'PL34567890123456789012345678'),
	(4, 4, 'PL45678901234567890123456789')
;
GO

IF OBJECT_ID(N'dbo.Salda', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.Salda';
GO

CREATE TABLE dbo.Salda (
	Id					INT				IDENTITY(1, 1)	NOT NULL,
	RachunekId			INT								NOT NULL,
	DataOperacji		DATE							NOT NULL,
	DataKsiegowania		DATE							NOT NULL,
	Kwota				MONEY							NOT NULL,
	SaldoPoczatkowe		MONEY							NOT NULL,
	SaldoKoncowe		MONEY							NOT NULL,
	NumerOperacji		SMALLINT						NOT NULL,
	OpisOperacji		VARCHAR(255)					NOT NULL,
	KontrahentId		INT								NOT NULL
);
GO

INSERT INTO dbo.Salda
	(RachunekId, DataOperacji, DataKsiegowania, Kwota, SaldoPoczatkowe, SaldoKoncowe, NumerOperacji, OpisOperacji, KontrahentId)
VALUES
	(1, '20160104', '20160105', 123.45, 100, 223.45, 1, 'Operacja 1_1', 1),
	(1, '20160106', '20160106', -10, 223.45, 213.45, 2, 'Operacja 1_2', 1),
	(1, '20160107', '20160108', 300, 213.45, 513.45, 3, 'Operacja 1_3', 1),
	(1, '20160112', '20160112', -3.45, 513.45, 510, 4, 'Operacja 1_4', 1),
	(2, '20160204', '20160205', 100, 100, 200, 1, 'Operacja 1_2', 2),
	(2, '20160204', '20160205', 10.50, 200, 210.5, 1, 'Operacja 2_2', 2),
	(3, '20160304', '20160305', 345.67, 100, 445.67, 1, 'Operacja 1_3', 3),
	(4, '20160404', '20160405', 456.78, 100, 556.78, 1, 'Operacja 1_4', 4)
;
GO

IF OBJECT_ID(N'dbo.JPK_WB_Naglowek', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.JPK_WB_Naglowek';
GO

CREATE TABLE dbo.JPK_WB_Naglowek (
	KodSystemowy		VARCHAR(10),
	WersjaSchemy		VARCHAR(5),
	KodFormularza		VARCHAR(10),
	WariantFormularza	VARCHAR(5),
	CelZlozenia			VARCHAR(5),
	DomyslnyKodWaluty	CHAR(3),
	KodUrzedu			VARCHAR(10)
);
GO

INSERT INTO dbo.JPK_WB_Naglowek
	(KodSystemowy, WersjaSchemy, KodFormularza, WariantFormularza, CelZlozenia, DomyslnyKodWaluty, KodUrzedu)
VALUES
	('JPK_WB (1)', '1-0', 'JPK_WB', '1', '1', 'PLN', '1406')
;
GO

IF OBJECT_ID(N'dbo.vKontrahentDane', N'V') IS NOT NULL
	EXEC sp_executesql N'DROP VIEW dbo.vKontrahentDane';
GO

CREATE VIEW dbo.vKontrahentDane AS
SELECT
	k.Id,
	k.Nazwa,
	k.NIP,
	k.REGON,
	ka.KodKraju,
	ka.Wojewodztwo,
	ka.Powiat,
	ka.Gmina,
	ka.Miejscowosc,
	ka.Ulica,
	ka.NrDomu,
	ka.NrLokalu,
	ka.KodPocztowy,
	ka.Poczta
FROM dbo.Kontrahent k

	INNER JOIN dbo.KontrahentAdres ka
		ON ka.KontrahentId = k.Id
;

-- Przechowywanie XML w bazie danych
IF OBJECT_ID(N'dbo.JPK_WB_Pliki', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.JPK_WB_Pliki';
GO

CREATE TABLE dbo.JPK_WB_Pliki (
	id					INT				IDENTITY(1, 1),
	dataGenerowania		DATETIME2(0)	DEFAULT SYSDATETIME(),
	zawartoscXML		XML										NOT NULL,
	wynikWalidacji		XML										NOT NULL,
	result				VARCHAR(10)								NOT NULL,
	errors				INT										NOT NULL
);
GO

/*INSERT INTO dbo.JPK_WB_Pliki(zawartoscXML, wynikWalidacji)
VALUES (?, ?)
*/

SELECT *
FROM dbo.JPK_WB_Pliki;