USE JPK;
GO

WITH XMLNAMESPACES(
DEFAULT 'http://jpk.mf.gov.pl/wzor/2016/03/09/03092/',
	--'http://jpk.mf.gov.pl/wzor/2016/03/09/03092/' AS tns,
	'http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/' AS etd--,
	--DEFAULT 'x'
)
SELECT
	--'Naglowek/KodFormularza'						= n.KodFormularza,
	'Naglowek/KodFormularza/@kodSystemowy'			= n.KodSystemowy,
	'Naglowek/KodFormularza/@wersjaSchemy'			= n.WersjaSchemy,
	'Naglowek/KodFormularza'						= n.KodFormularza,
	'Naglowek/WariantFormularza'					= n.WariantFormularza,
	'Naglowek/CelZlozenia'							= n.CelZlozenia,
	'Naglowek/DataWytworzeniaJPK'					= GETDATE(),
	'Naglowek/DataOd'								= '2016-06-01',
	'Naglowek/DataDo'								= '2016-06-30',
	'Naglowek/DomyslnyKodWaluty'					= n.DomyslnyKodWaluty,
	'Naglowek/KodUrzedu'							= n.KodUrzedu,

	'Podmiot1/IdentyfikatorPodmiotu/etd:NIP'		= k.NIP,
	'Podmiot1/IdentyfikatorPodmiotu/etd:PelnaNazwa'	= k.Nazwa,
	'Podmiot1/IdentyfikatorPodmiotu/etd:REGON'		= k.REGON,

	'Podmiot1/AdresPodmiotu/etd:KodKraju'			= k.KodKraju,
	'Podmiot1/AdresPodmiotu/etd:Wojewodztwo'		= k.Wojewodztwo,
	'Podmiot1/AdresPodmiotu/etd:Powiat'				= k.Powiat,
	'Podmiot1/AdresPodmiotu/etd:Gmina'				= k.Gmina,
	'Podmiot1/AdresPodmiotu/etd:Ulica'				= NULLIF(LEN(k.Ulica), 0),
	'Podmiot1/AdresPodmiotu/etd:NrDomu'				= k.NrDomu,
	'Podmiot1/AdresPodmiotu/etd:NrLokalu'			= CASE WHEN LEN(k.NrLokalu) > 0 THEN k.NrLokalu ELSE NULL END,
	'Podmiot1/AdresPodmiotu/etd:Miejscowosc'		= k.Miejscowosc,
	'Podmiot1/AdresPodmiotu/etd:KodPocztowy'		= k.KodPocztowy,
	'Podmiot1/AdresPodmiotu/etd:Poczta'				= k.Poczta,

	'NumerRachunku'									= r.NumerIBANRachunku,

	'Salda/SaldoPoczatkowe'							= s.SaldoPoczatkowe,
	'Salda/SaldoKoncowe'							= s.SaldoKoncowe,

	-- dzieki query('.') eliminujemy element '<Wiersze>'
	--w.Wiersze,
	w.Wiersze.query('.'),

	'WyciagCtrl/LiczbaWierszy'						= s.LiczbaWierszy,
	'WyciagCtrl/SumaObciazen'						= s.SumaObciazen,
	'WyciagCtrl/SumaUznan'							= s.SumaUznan

FROM dbo.Rachunek r

	CROSS APPLY (
		SELECT DISTINCT
			LiczbaWierszy	= COUNT(*) OVER (PARTITION BY s.RachunekId),
			SumaUznan		= SUM(CASE WHEN s.Kwota > 0 THEN s.Kwota ELSE 0 END) OVER(PARTITION BY s.RachunekId),
			SumaObciazen	= SUM(CASE WHEN s.Kwota < 0 THEN s.Kwota ELSE 0 END) OVER(PARTITION BY s.RachunekId),
			SaldoPoczatkowe	= FIRST_VALUE(s.SaldoPoczatkowe) OVER (PARTITION BY s.RachunekId ORDER BY s.NumerOperacji ROWS BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING),
			SaldoKoncowe	= LAST_VALUE(s.SaldoKoncowe) OVER (PARTITION BY s.RachunekId ORDER BY s.NumerOperacji ROWS BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
		FROM dbo.Salda s
		WHERE
			1 = 1
			AND s.RachunekId = r.Id
			AND s.DataOperacji BETWEEN '20160101' AND '20160131'
	) s

	CROSS APPLY (
		SELECT
			'@typ'			= 'G',
			'NumerWiersza'	= s.NumerOperacji,
			'DataOperacji'	= s.DataOperacji,
			'NazwaPodmiotu'	= k.Nazwa,
			'OpisOperacji'	= s.OpisOperacji,
			'KwotaOperacji'	= s.Kwota,
			'SaldoOperacji'	= s.SaldoKoncowe
		FROM dbo.Salda s

			INNER JOIN dbo.Kontrahent k
				ON k.Id = s.KontrahentId

		WHERE
			1 = 1
			AND s.RachunekId = r.Id
			AND s.DataOperacji BETWEEN '20160101' AND '20160131'
		FOR XML PATH('WyciagWiersz'), TYPE
	) w(Wiersze)

	INNER JOIN dbo.vKontrahentDane k
		ON k.Id = r.KontrahentId

	CROSS JOIN dbo.JPK_WB_Naglowek n

WHERE
	1 = 1
	AND r.Id = 1

FOR XML PATH(''), ROOT('JPK')
