USE JPK;
GO

IF EXISTS (SELECT * FROM sys.xml_schema_collections WHERE name = 'KontrahentSchema' AND schema_id = SCHEMA_ID('dbo'))
	EXEC sp_executesql N'DROP XML SCHEMA COLLECTION dbo.KontrahentSchema';
GO

CREATE XML SCHEMA COLLECTION dbo.KontrahentSchema
AS '<?xml version="1.0" encoding="utf-8"?>
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:element name="Kontrahent">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="Id" type="xs:unsignedByte" />
				<xs:element name="Nazwa" type="xs:string" />
				<xs:element name="NIP" type="xs:unsignedLong" />
				<xs:element name="REGON" type="xs:unsignedInt" />
			</xs:sequence>
			<xs:attribute name="typ" type="xs:string" use="required" />
		</xs:complexType>
	</xs:element>
</xs:schema>';
GO

SELECT xml_schema_namespace(N'dbo', N'KontrahentSchema')  
GO  
